Skip to main content
GET
/
v1
/
webhook
JavaScript
import Roark from '@roarkanalytics/sdk';

const client = new Roark({
  bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});

const webhooks = await client.webhook.list();

console.log(webhooks.data);
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "description": "<string>",
      "url": "<string>",
      "headers": {},
      "events": [
        "CALL_ANALYSIS_COMPLETED"
      ],
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "pagination": {
    "total": 123,
    "hasMore": true,
    "nextCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20

Maximum number of webhooks to return (default: 20, max: 50)

Required range: 1 <= x <= 50
after
string

Cursor for pagination - webhook ID to start after

Response

List of webhooks with their event subscriptions

data
object[]
required
pagination
object
required